/*
 * kitchen_mainboard.c
 *
 * Created: 23.09.2014 19:39:05
 *  Author: Hartmut_Dell
 */ 

#define F_CPU 8000000UL
#include <util/delay.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include "schedule.h"

#define MotorspeedON				PORTC |= (1<<PINC1)
#define MotorspeedOFF				PORTC &= ~(1<<PINC1)
#define MotorLinksON				PORTC |= (1<<PINC2)
#define MotorLinksOFF				PORTC &= ~(1<<PINC2)
#define MotorRechtsON				PORTC |= (1<<PINC3)
#define MotorRechtsOFF				PORTC &= ~(1<<PINC3)

#define IniRearSlow					PIND & ( 1 << PIND5  )



void Motor(void)
{
	
		MotorRechtsOFF;
			
		MotorLinksOFF;
	
}

int main(void)
{
 	iniIO();
/***************************** SCHEDULER INITALISIEREN **********************************************/	
	
	TCNT1L=0x00;
	TCNT1H=0x00;
										 
	TCCR1B |=  (1 << CS12);									//(1 << CS10) |  lets turn on 16 bit timer1 also with /256
	TIMSK1=(1<<TOIE1);
	timerinit();
	sei(); 
/***************************** PROGRAMMABLAUFSTEUERUNG **********************************************/	
	 
    for (;;)
    {
      	   
		  if( f_timer_tick )
		  {													// Scheduler im Hintergrund ablaufen lassen
		  f_timer_tick = 0;
		  timertick();
		  MotorRechtsON;									// LED Motor Rechts LEUCHTET
		  }													
		  
		  if(IniRearSlow)
		  {
			  	   
				if(timerremove(Motor))
				{
				timeradd( Motor, SECONDS( 10 ) );
				MotorLinksON;								// LED Motor Links LEUCHTET 	
				}
		  }
	} 
}